Persist a conversation artifact and return its URI and content hash.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request body for storing an archive artifact.
Response Body
application/json
application/json
curl -X POST "https://example.com/memory/archive/store" \ -H "Content-Type: application/json" \ -d '{ "conversation_id": "string", "payload": {} }'null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Storage Stage
Run storage pipeline stage. Stores extracted entities and relations to graph and vector databases. Requires authentication and operates on user-scoped data. Requires extraction stage to be completed first.
Store Reasoning Trace
Store a reasoning trace as a memory item. Creates a 'reasoning' type memory with CAUSES relations to any artifacts.